/*
 * This file is part of jSpeed.
 *
 * jSpeed is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * jSpeed is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with jSpeed.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

#include "detailwidget.h"
#include "detailscreen.h"

DetailWidget::DetailWidget(QWidget* parent): WidgetScreen(parent)
{
    screen_ = new DetailScreen;
    connect(screen_, SIGNAL(minimizePressed()), this, SIGNAL(minimizePressed()));
    connect(screen_, SIGNAL(settingsPressed()), this, SIGNAL(settingsPressed()));
    connect(screen_, SIGNAL(closePressed()), this, SIGNAL(closePressed()));
    connect(screen_, SIGNAL(clicked()), this, SIGNAL(clicked()));
    addWidget(screen_);
}

void DetailWidget::update()
{
    screen_->update();
}

void DetailWidget::reArrange()
{
    screen_->reArrange();
}

void DetailWidget::flip()
{
    screen_->flip();
}

DetailScreen* DetailWidget::getScreen() const
{
    return screen_;
}
